#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint flutter_mapbox_navigation.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'custom_mapbox_plugin'
  s.version          = '1.0.0'
  s.summary          = 'Add Turn By Turn Navigation to Your Flutter Application Using MapBox. Never leave your app when you need to navigate your users to a location.'
  s.description      = <<-DESC
Add Turn By Turn Navigation to Your Flutter Application Using MapBox. Never leave your app when you need to navigate your users to a location.
                       DESC
  s.homepage         = 'https://eopeter.com'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Andrea Mainella' => 'andrea.mainella@syncroweb.it' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.resources = '[Assets/**/*]'
  s.dependency 'Flutter'
  s.dependency 'MapboxCoreNavigation', '~> 2.11'
  s.dependency 'MapboxNavigation', '~> 2.11'
  s.dependency 'SVGView', '~> 1.0'
  s.platform = :ios, '15.0'

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
  s.swift_version = '5.0'
end
